
// 1. import
import junit.framework.*;

import java.util.Vector;

import java.io.*;

// Importieren des Archiv-Files  junit.jar

//  1. Ableitung von TestCase
public class junit2 extends TestCase  {



  public double add(double x, double y) {
    return x+y;
  }

  public junit2() {
  } // create




    // 3. Testfall
    // Methode wird von JUnit aufgerufen
	public void testCapacity() {
    double a,b,c;  
    c = add(5.033, 4.343);
		assertEquals(c, 9.376,0.01 );
  }

  public static void main(String[] args) {
      // 2.  Klasse übergeben
		junit.textui.TestRunner.run ( 
       junit2.class );
    pause();
  }
  
   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


}


